Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157908 - Oops in ACPI code when booting with hyperthreading on
Summary: Oops in ACPI code when booting with hyperthreading on
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-16 22:27 UTC by Manish Singh
Modified: 2015-01-04 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 00:33:33 UTC


Attachments (Terms of Use)

Description Manish Singh 2005-05-16 22:27:51 UTC
With 2.6.9-9.EL, the kernel crashes on boot with hyperthreading turned on. With
HT off, it boots fine. This happens on both x86_64 and ia32 (on the same
hardware, a dual 3.4 GHz Xeon). The same machine boots with 5.0.5.EL perfectly.

On x86_64, it gives the following errors:

ACPI-0292: *** Error: Looking up [_PCT] in namespace, AE_ALREADY_EXISTS
ACPI-1133: *** Error: [NULL NAME], AE_ALREADY_EXISTS

and then oopses with a NULL pointer dereference in acpi_ps_parse_aml.

Comment 1 Venkatesh Pallipadi 2005-05-18 04:00:28 UTC
This is a known BIOS issue. Same as this one..
http://bugme.osdl.org/show_bug.cgi?id=3147

I have seen this fixed in BIOS in various platforms. Can you make sure you are
running the latest BIOS.

What platform is this? 

-Venki

Comment 2 Manish Singh 2005-05-18 22:41:23 UTC
These boxes are EM64T capable, but the problem happens in both 64 and 32-bit modes.

These are prerelease systems on loan from Intel, so an old BIOS wouldn't be
surprising. I'll try to a find out an update through partner channels and let
you know the results.

Comment 3 Manish Singh 2005-05-19 00:33:33 UTC
BIOS update the did trick. Resolving accordingly.


Note You need to log in before you can comment on or make changes to this bug.